### Class

# Pos VkDriver

#### Description [src]

    final class Pos.VkDriver : GObject.Object
    {
      /* No available fields */
    }

Processes input events and drives a virtual keyboard using the wayland virtual keyboard protocol. The input events can either be based on kernel input event codes or GDK keycodes.

#### Ancestors

- GObject

#### Constructors

###### pos_vk_driver_new

No description available.

#### Instance methods

###### pos_vk_driver_convert_modifiers

No description available.

###### pos_vk_driver_key_down

No description available.

###### pos_vk_driver_key_press_gdk

Given a GDK keycode and modifier simulate a press of that key. We only handle the US layout. Improvements are welcome.

###### pos_vk_driver_key_up

No description available.

###### pos_vk_driver_set_keymap_symbols

Generates and installs a keymap based on the given symbols.

###### pos_vk_driver_set_overlay_keymap

Installs a temporary overlay keymap with the given symbols. If called multiple times the current overlay keymap will be replaced.

###### pos_vk_driver_set_terminal_keymap

Sets the given keymap honoring xkb-options set in GNOME. When possible send keycodes matching that layout id.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.VkDriver:virtual-keyboard

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PosVkDriverClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.